<%@ page contentType="text/html; charset=GBK" %>
<%@ page import = "zr.zrpower.entity.sys.SessionUser" %>

<%@ page import = "zr.zrpower.flowengine.service.FlowConfig"%>
<%@ page import = "java.lang.Object"%>
<%@ page import = "java.util.*"%>
<%@ page import = "java.util.Vector"%>
<HTML>
<%
SessionUser user = (SessionUser)session.getAttribute("userinfo");
FlowConfig Fconfig =new FlowConfig();
%>
<HTML>
<HEAD>
<TITLE></TITLE>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META http-equiv="Content-Type" content="text/html; charset=GBK">
<link REL="stylesheet" type="text/css" href="../../zrsysmanage/css/<%=user.getUserCSS()%>">
</HEAD>
<BODY bgcolor="#ffffff">
<%
  String strID = request.getParameter("PackageID");
  String unitid = user.getUnitID().toString();
  Vector vec = new Vector();
  vec = Fconfig.CopyFlowPackage(strID,unitid);
       //------------------
       int iSySize = vec.size();  //剩余记录
       int iDqSize = 0;           //当前记录
       int iCs = 0;               //循环次数
       while(iSySize>0){
         if(iSySize-100>0){
           iDqSize = 100;
           iSySize = iSySize-100;
         } else{
           iDqSize = iSySize;
           iSySize = 0;
         }
         //调用
         Fconfig.CopyFlowPublic(vec,iCs,iDqSize);
         iCs++;
       }
       //-------------------
     user = null;
     Fconfig = null;
    //返回页面
    response.sendRedirect("../FlowProcess/PackageDesign.jsp");

  %>
</BODY>
</HTML>
